# $Revision: 1.18 $, $Date: 2012/02/11 08:23:50 $
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
#
Summary:	Library to work with PDF files
Summary(pl.UTF-8):	Biblioteka do obsługi PDF-ów
Name:		podofo
Version:	0.9.1
Release:	5
License:	LGPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/podofo/%{name}-%{version}.tar.gz
# Source0-md5:	cec586ab69f92bc88d38b5d4b8eee5a0
URL:		http://podofo.sourceforge.net/
BuildRequires:	cmake >= 2.6
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	lua51-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.600
%if "%{pld_release}" != "th"
BuildRequires:	tetex-pdftex
%else
BuildRequires:	texlive-pdftex
%endif
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PoDoFo library is a free portable C++ library which includes
classes to parse a PDF file and modify its contents into memory. The
changes can be written back to disk easily. PoDoFo is designed to
avoid loading large PDF objects into memory until they are required
and can write large streams immediately to disk, so it is possible to
manipulate quite large files with it. PoDoFo uses and relies on
exceptions, so it must be built with them enabled.

%description -l pl.UTF-8
Biblioteka PoDoFo jest darmową przenośną biblioteką C++ dostarczjącą
klasy do parsowania plików PDF i modyfikowania ich w pamięci. Zmiany
mogą być ponownie łatwo zapisane na dysk. PoDoFo jest zaprojektowane w
sposób, który pozwala na unikanie ładowania dużych plików PDF do
pamięci, jeżeli nie jest to niezbędne. Pozwala również na zapisywanie
dużych strumieni natychmiast na dysk, co umożliwia manipulowanie
całkiem dużymi plikami. PoDoFo używa i zależne jest od wyjątków, więc
konieczna jest jego budowa z włączoną ich obsługą.

%package devel
Summary:	Header files for PoDoFo library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki PodoFo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for PoDoFo library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki PoDoFo.

%package static
Summary:	Static PoDoFo library
Summary(pl.UTF-8):	Statyczna biblioteka FOO
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static PoDoFo library.

%description static -l pl.UTF-8
Statyczna biblioteka PoDoFo.

%package apidocs
Summary:	PoDoFo API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki PoDoFo
Group:		Documentation

%description apidocs
API and internal documentation for PoDoFo library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki PoDoFo.

%package progs
Summary:	PoDoFo tools
Summary(pl.UTF-8):	Programy narzędziowe PodoFo
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description progs
Header files for PoDoFo library.

%description progs -l pl.UTF-8
Pliki nagłówkowe biblioteki PoDoFo.

%package examples
Summary:	PoDoFo examples
Summary(pl.UTF-8):	Przykłady do PoDoFo
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description examples
PoDoFo examples.

%description examples -l pl.UTF-8
Programy przykładowe do PoDoFo.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DPODOFO_BUILD_SHARED:BOOL=TRUE \
	-DPODOFO_BUILD_STATIC:BOOL=TRUE \
	-DINSTALL_LIBDATA_DIR=%{_libdir} \
%if "%{_lib}" == "lib64"
	-DWANT_LIB64=TRUE
%endif

%{__make}
cd ..

%if %{with apidocs}
doxygen
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cd build
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTIONS.txt ChangeLog FAQ.html README.html TODO
%attr(755,root,root) %{_libdir}/libpodofo.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpodofo.so
%{_includedir}/podofo

%files static
%defattr(644,root,root,755)
%{_libdir}/libpodofo.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/podofo*
%{_mandir}/man1/podofo*.1*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: podofo.spec,v $
Revision 1.18  2012/02/11 08:23:50  arekm
- release 5

Revision 1.17  2012/02/07 22:06:18  arekm
- release 4

Revision 1.16  2012/01/21 16:21:58  qboosh
- more docs
- BR: libpng-devel lua51-devel
- -devel R: libstdc++-devel

Revision 1.15  2012/01/13 14:50:28  arekm
- release 3

Revision 1.14  2011/12/20 19:38:35  arekm
- release 2

Revision 1.13  2011/06/09 12:01:11  lisu
- updated to 0.9.1

Revision 1.12  2011/03/18 08:03:17  lisu
- up to 0.9.0
- man pages for progs

Revision 1.11  2010/10/26 07:05:34  lisu
- up to 0.8.4

Revision 1.10  2010/10/22 07:25:26  lisu
- updated to 0.8.3
- drop cmake options provided by %%cmake macro
- more verbose progs

Revision 1.9  2010/08/25 18:22:54  hawk
- for time being use tetex deps in Titanium

Revision 1.8  2010/08/25 10:56:22  lisu
- notice patch removal

Revision 1.7  2010/08/25 10:45:32  lisu
- 0.8.2
- rm -casts.patch

Revision 1.6  2010/08/16 08:16:45  arekm
- rel 2; build fix

Revision 1.5  2010/07/14 11:36:31  lisu
- updated to 0.8.1
- problem with bogus shared library name fixed upstream
- adapter

Revision 1.4  2010/05/19 14:32:00  lisu
- fix problem with bogus shared library name (was libpodofo.so.)

Revision 1.3  2010/05/19 13:16:02  lisu
- 0.8.0
- unify cmake section

Revision 1.2  2009/11/14 21:39:56  zbyniu
- fix build on 64 bit; BR: openssl-devel, texlive-pdftex

Revision 1.1  2009/10/09 19:52:00  witekfl
- new

